extern "C" {
#include <stdio.h>
}
#include "KA.H"

#define SHOW(x)	printf( #x ## ": "), (x).print()

main()
{
    KA a;
    KA b("is");

    SHOW(a);
    SHOW(b);

    a += "HELLO";
    SHOW(a);

    a += b;
    a += "MORE";
    a += "TEXT";
    a += "FOR";
    a += "THE";
    a += "BIT";
    a += "GODS";
    SHOW(a);

    a.drop(2);
    SHOW(a);

    a = "STRING";
    SHOW(a);

    a = b;
    SHOW(a);
}
